<HTML><HEAD>
<TITLE>Advertise Customer Details</TITLE>
<%@include file="header.jsf" %>
<%@page import="java.util.*" %>
<jsp:useBean id="cust" class="webagency.CustomerBean" scope="request" >
  <jsp:setProperty name="cust" property="login" param="customer"/>
</jsp:useBean>
<H2>Customer details for: <jsp:getProperty name="cust" property="login"/></H2>
<FORM action="updateCustomer">
<INPUT type="hidden" name="login" value="<jsp:getProperty name="cust" property="login"/>">
<TABLE>
  <TR><TD>Login:</TD><TD><jsp:getProperty name="cust" property="login"/></TD></TR>
  <TR><TD>Name:</TD><TD><input type="text" name="name" value="<jsp:getProperty name="cust" property="name"/>"></TD></TR>
  <TR><TD>Email:</TD><TD><input type="text" name="email" value="<jsp:getProperty name="cust" property="email"/>"></TD></TR>
  <% String[] address = cust.getAddress(); %>
  <TR><TD>Address:</TD><TD><input type="text" name="address" value="<%=address[0]%>"></TD></TR>
  <TR><TD>Address:</TD><TD><input type="text" name="address" value="<%=address[1]%>"></TD></TR>
</TABLE>
<INPUT type="submit" value="Update Details">
<INPUT type="reset">
</FORM>
<FORM action="deleteCustomer">
<input type="hidden" name="customer" value="<jsp:getProperty name="cust" property="login"/>">
<input type="submit" value="Delete Customer <jsp:getProperty name="cust" property="login"/>">
</FORM>
<H2>Jobs</H2>
<% String[] jobs = cust.getJobs(); %>
<jsp:useBean id="job" class="webagency.JobBean" scope="request">
  <jsp:setProperty name="job" property="customer" param="customer"/>
</jsp:useBean>
<% for (int i=0; i<jobs.length; i++) {%>
  <% job.setRef(jobs[i]); %>
  <H3><jsp:getProperty name="job" property="ref"/></H3>
  <FORM action="updateJob">
    <TABLE>
      <TR><TD>Description:</TD><TD><input type="text" name="description" value="<jsp:getProperty name="job" property="description"/>"></TD></TR>
      <TR><TD>Location:</TD><TD>
      <% String location = job.getLocation(); %>
      <%@include file="location.jsf"%>
      </TD></TR>
      <TR><TD>Skills:</TD><TD>
      <% String[] skills = job.getSkills(); %>
      <%@include file="skills.jsf"%>
      </TD></TR>
    </TABLE>
    <INPUT type="hidden" name="customer" value="<jsp:getProperty name="job" property="customer"/>">
    <INPUT type="hidden" name="ref" value="<jsp:getProperty name="job" property="ref"/>">
    <INPUT type="submit" value="Update Job">
  </FORM>
  <FORM action="deleteJob">
    <INPUT type="hidden" name="customer" value="<jsp:getProperty name="job" property="customer"/>">
    <INPUT type="hidden" name="ref" value="<jsp:getProperty name="job" property="ref"/>">
    <INPUT type="submit" value='Delete Job <jsp:getProperty name="job" property="ref"/>'>
  </FORM>
<% } %>
<H2>Create New Job</H2>
<FORM action="createJob">
<TABLE>
<TR>
  <TD>Ref:</TD>
  <TD><INPUT type="text" name="ref"></TD>
</TR>
<TR>
  <INPUT type="hidden" name="customer" value="<jsp:getProperty name="cust" property="login"/>">
  <TD colspan="2"><INPUT type="submit" value="Create Job"></TD>
</TR>
</TABLE>
</FORM>
<%@include file="footer.jsf" %>
</BODY>
</HTML>
