package webagency;

import javax.naming.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import agency.*;

public class UseJobTag extends TagSupport {
	private String ref;
	private String customer;

	public String getRef() {
		return ref;
	}

	public void setRef(String ref) {
		this.ref = ref;
	}

	public String getCustomer() {
		return customer;
	}

	public void setCustomer(String customer) {
		this.customer = customer;
	}

	public int doStartTag() throws JspException {
		try {
		   InitialContext ic = new InitialContext();
		   AdvertiseJobHome advertiseJobHome = (AdvertiseJobHome)ic.lookup("java:comp/env/ejb/AdvertiseJob");
		   AdvertiseJob advertiseJob = advertiseJobHome.create(ref,customer);
		   pageContext.setAttribute("job", advertiseJob, PageContext.REQUEST_SCOPE);
		}
		catch (Exception ex) {
			throw new JspTagException("UseJobTag: "+ex);
		}
		return SKIP_BODY;
	 }

	public int doEndTag() {
		return EVAL_PAGE;
	}
}

