<%@ page isErrorPage="true" %>
<%@page import="java.util.*, java.io.* " %>
<HTML>
<HEAD>
<TITLE>Agency Error Page</TITLE>
</HEAD>
<BODY>
<H1>Agency Error Page</H1>
<H2>There has been an error in processing your request.</H2>
The following information describes the error:
<H3>Request Parameters</H3>
<TABLE border="1">
<%
Enumeration params = request.getParameterNames();
while (params.hasMoreElements()) {
  String name = (String)params.nextElement();
  out.println("<TR><TD>"+name+"</TD>");
  String[] values = request.getParameterValues(name);
  for (int i=0; i<values.length; i++) {
    out.println("<TD>"+values[i]+"</TD>");
  }
  out.println("</TR>");
}
%>
</TABLE>
<H3>Request Attributes</H3>
<TABLE border="1">
<%
Enumeration attrs = request.getAttributeNames();
while (attrs.hasMoreElements()) {
  String name = (String)attrs.nextElement();
  out.println("<TR><TD>"+name+"</TD>");
  out.println("<TD>"+request.getAttribute(name)+"</TD>");
  out.println("</TR>");
}
%>
</TABLE>
<H3>Session Attributes</H3>
<TABLE border="1">
<%
Enumeration sess = session.getAttributeNames();
while (sess.hasMoreElements()) {
  String name = (String)sess.nextElement();
  out.println("<TR><TD>"+name+"</TD>");
  out.println("<TD>"+session.getAttribute(name)+"</TD>");
  out.println("</TR>");
}
%>
</TABLE>
<H3>Exception</H3>
<%=exception%> <%=exception.getMessage()%>
<H3>Stack Trace</H3>
<%
StringWriter buf = new StringWriter();
PrintWriter sout = new PrintWriter(buf);
exception.printStackTrace(sout);
out.println(buf.toString());
%>
</BODY>
</HTML>

