package webagency;

import javax.naming.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import agency.*;

public class UseApplicantTag extends TagSupport {
	private String login;

	public String getLogin() {
		return login;
	}

	public void setLogin(String login) {
		this.login = login;
	}

	public int doStartTag() throws JspException {
		try {
		   InitialContext ic = new InitialContext();
		   RegisterHome registerHome = (RegisterHome)ic.lookup("java:comp/env/ejb/Register");
		   Register register = registerHome.create(login);
		   pageContext.setAttribute("app", register, PageContext.REQUEST_SCOPE);
		}
		catch (Exception ex) {
			throw new JspTagException("UseApplicantTag: "+ex);
		}
		return SKIP_BODY;
	 }

	public int doEndTag() {
		return EVAL_PAGE;
	}
}

