package webagency;

import javax.naming.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import agency.*;

public class UseApplicantTag extends TagSupport {
    private String login;

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public int doStartTag() throws JspException {
        try {
           InitialContext ic = new InitialContext();
           RegisterHome registerHome = (RegisterHome)ic.lookup("java:comp/env/ejb/Register");
           String name = login;
           HttpServletRequest request = (HttpServletRequest)pageContext.getRequest();
           if (!request.isUserInRole("admin"))
               name = request.getUserPrincipal().getName();
           Register register = registerHome.create(name);
           pageContext.setAttribute("app", register, PageContext.REQUEST_SCOPE);
        }
        catch (Exception ex) {
            throw new JspTagException("UseApplicantTag: "+ex);
        }
        return SKIP_BODY;
     }

    public int doEndTag() {
        return EVAL_PAGE;
    }
}

